<?php
namespace Neklo\Scheduler\Api\Data;

interface JobInterface
{
    const TABLE_NAME = 'neklo_cron';

    const JOB_ID = 'id';
    const JOB_NAME = 'name';
    const JOB_CLASS = 'instance';
    const JOB_METHOD = 'method';
    const JOB_SCHEDULE = 'schedule';
    const JOB_CONFIG = 'config_path';
    const JOB_GROUP = 'group';
    const JOB_ENABLED = 'enabled';

    public function isEnabled();
    public function enable();
    public function disable();
}
